• Hallo Bezoeker, Het is ons opgevallen dat je nog geen bericht gemaakt hebt! Waarom neem je niet even de tijd om jezelf voor te stellen en nieuwe vrienden te maken.

Home assistant

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
Lol, dus je kan je Garmin gegevens dan bekijken in het HA dashbard?
Dat moet ik nog uitzoeken.
Ik zou eigenlijk liefst eerst meer doen met unraid

Zoals aan/uitzetten met een knop
uitlezen van memory en cpu
en het uitlezen van hdd's space
en sabnzb monitoren

Maar weet niet of dat allemaal kan

Daarna wil ik ook nog mn harmony werkend krijgen, daar heb ik blijkbaar moeite mee, vooral met die remote dingen
alles staat nochtans in mn harmony conf file

daarnaast ook nog zien of ik mn haard kan aansteken/uitdoen en verhogen/verlagen
not sure
werkt ook op een ab

nog genoeg stuff te doen

ook tracking van locatie wil ik doen, maar nog niet uit met wat
HA app, of google of life 360
 

broodro0ster

Administrator
Home-Theater Goud
24 apr 2014
3.320
109
93
Ok ivm history
Wat het geheugen betreft, waarom werkte dit eerder wel die controller?
Ik heb addons weggedaan dus dan zou dat geheugen moeten dalen en die controller terug werken.
Wat zegt die foutmelding?
Kan ik die niet terug verlagen?
Ja, door addons uit te schakelen werkt het terug. Die addons hebben ook memory nodig.
Die errors in de 2e screenshot zijn HTTP errors en dat heeft normaal niks met het geheugen te maken.
 

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
Ik heb redelijk wat errors
En heb de indruk dat ik de laaste tijd redelijk wat moet herstarten

Iemand die meer uit de errors kan halen?








foto url maken
 

Philip

Well-Known Member
Home-Theater Goud
18 nov 2014
863
34
45
Kortrijk
Could not resolve host duidt op DNS issues. Wat zijn de DNS settings van je supervisor?

De andere Connection refused kan verschillende redenen hebben. Bv firewall op hetgeen je probeert te connecteren. Wat is dat, je gateway?

Edit: Ah dat is je homeassistant zelf (IP en poort staan op de laatste lijn :p ), Docker netwerk.
 
Laatst bewerkt:

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
Could not resolve host duidt op DNS issues. Wat zijn de DNS settings van je supervisor?

De andere Connection refused kan verschillende redenen hebben. Bv firewall op hetgeen je probeert te connecteren. Wat is dat, je gateway?

Edit: Ah dat is je homeassistant zelf (IP en poort staan op de laatste lijn :p ), Docker netwerk.
lol
uhu

ik heb soms echt problemen, mn unifi controller die de gui niet wil tonen
enz

ik had beter toch pi 4 genomen en meer ram
of maakt dat niet uit
ram usage is zoiezo hoog, doet me twijfelen wat ik moet doen, of toch op unraid zetten
maar dan moet ik die continu laten draaien
 

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
en terug mn controller onbereikbaar
verdikke, vraag me af wat de reden is, en ook die foutmeldingen zijn er terug

snap er niks van

plots gaat die controller up, en leest HA alles, en daarna plots weer weg...
terwijl mn HA wel bereikbaar is

ksnap er niks van

nu deze error
Code:
20-02-09 09:15:57 ERROR (MainThread) [asyncio] Task exception was never retrieved
future: <Task finished coro=<Tasks._watchdog_dns_docker() done, defined at /usr/src/hassio/hassio/tasks.py:222> exception=ReadTimeout(ReadTimeoutError("UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=900)"))>
Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 421, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 416, in _make_request
httplib_response = conn.getresponse()
File "/usr/local/lib/python3.7/http/client.py", line 1344, in getresponse
response.begin()
File "/usr/local/lib/python3.7/http/client.py", line 306, in begin
version, status, reason = self._read_status()
File "/usr/local/lib/python3.7/http/client.py", line 267, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/usr/local/lib/python3.7/socket.py", line 589, in readinto
return self._sock.recv_into(b)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 720, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File "/usr/local/lib/python3.7/site-packages/urllib3/util/retry.py", line 400, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/local/lib/python3.7/site-packages/urllib3/packages/six.py", line 735, in reraise
raise value
File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 672, in urlopen
chunked=chunked,
File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 423, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 331, in _raise_timeout
self, url, "Read timed out. (read timeout=%s)" % timeout_value
urllib3.exceptions.ReadTimeoutError: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=900)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/src/hassio/hassio/tasks.py", line 225, in _watchdog_dns_docker
if await self.sys_dns.is_running():
File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/src/hassio/hassio/docker/interface.py", line 133, in _is_running
docker_container = self.sys_docker.containers.get(self.name)
File "/usr/local/lib/python3.7/site-packages/docker/models/containers.py", line 880, in get
resp = self.client.api.inspect_container(container_id)
File "/usr/local/lib/python3.7/site-packages/docker/utils/decorators.py", line 19, in wrapped
return f(self, resource_id, *args, **kwargs)
File "/usr/local/lib/python3.7/site-packages/docker/api/container.py", line 758, in inspect_container
self._get(self._url("/containers/{0}/json", container)), True
File "/usr/local/lib/python3.7/site-packages/docker/utils/decorators.py", line 46, in inner
return f(self, *args, **kwargs)
File "/usr/local/lib/python3.7/site-packages/docker/api/client.py", line 230, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 546, in get
return self.request('GET', url, **kwargs)
File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 529, in send
raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=900)
20-02-09 09:15:58 INFO (MainThread) [hassio.api.security] /snapshots access from cebe7a76_hassio_google_drive_backup
20-02-09 09:16:09 INFO (MainThread) [hassio.host.services] Update service information
20-02-09 09:16:09 INFO (MainThread) [hassio.utils.gdbus] Call org.freedesktop.systemd1.Manager.ListUnits on /org/freedesktop/systemd1
20-02-09 09:16:09 INFO (MainThread) [hassio.host.network] Update local network DNS information
20-02-09 09:16:09 INFO (MainThread) [hassio.utils.gdbus] Call org.freedesktop.DBus.Properties.GetAll on /org/freedesktop/NetworkManager/DnsManager
20-02-09 09:17:09 INFO (MainThread) [hassio.homeassistant] Updated Home Assistant API token
20-02-09 09:35:43 INFO (MainThread) [hassio.updater] Fetch update data from https://version.home-assistant.io/stable.json
20-02-09 09:35:51 WARNING (MainThread) [hassio.updater] Can't fetch versions from https://version.home-assistant.io/stable.json: Cannot connect to host version.home-assistant.io:443 ssl:None [Try again]
20-02-09 09:47:11 INFO (MainThread) [hassio.homeassistant] Updated Home Assistant API token
20-02-09 10:16:00 INFO (MainThread) [hassio.api.security] /snapshots access from cebe7a76_hassio_google_drive_backup
20-02-09 10:17:15 INFO (MainThread) [hassio.homeassistant] Updated Home Assistant API token

Bijkomstig ook vreemd , dat ik mn hassio niet meer kan bereiken via smb
nochtans staat ook die actief
 
Laatst bewerkt:

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
Wat is het verschil tss processor load en processor used?
Wat hou je beter in het oog?
De load?
 

Philip

Well-Known Member
Home-Theater Goud
18 nov 2014
863
34
45
Kortrijk
Niet zo vreemd dat SMB niet werkt, want je krijgt continu networking errors... Waar specifiek het aan ligt kan vanalles zijn natuurlijk, probeer het een en ander uit te schakelen en kijk of er verbetering komt.

Zowel processor usage als loadavg zijn interessant, zijn aparte metrics.

Usage is het effectieve % usage op moment van meting

Load (bv. is een gemiddelde over 3 tijdsperiodes: 1 minuut, 5 minuten en 15 minuten. Hoge loadavg betekent dan ook dat je systeem continu onder druk is. Je moet ook rekening houden met het aantal cores. Kort door de bocht: een load van 1.0 betekent dat 1 core volledig benut is.

Lees bv eens https://www.tecmint.com/understand-linux-load-averages-and-monitor-performance/
 

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
ja waar begin ik met zoeken.
Mn netwerk is zowel bekabeld als via wifi altijd up and running

wat betreft load en usage.
de server heeft 2 cores
de load is nu bv continu in beweging, en rond de 80%
hoewel de cpu usage maar op 30 zit

hoe kan da?
 

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
Gaat dit werken
Code:
cards:
  - type: entities
    title: Entertainment
    show_header_toggle: false
    entities:
      - type: custom:fold-entity-row
        head:
          type: custom:slider-entity-row
          action:
            - service: remote.turn_on
              entity_id: remote.harmony_hub
              data:
                 activity: "Film kijken"
ik wil dus zo'n slider, die dan de activiteit start


edit: werkt niet dus.
Maar ik ben eigenlijk niet helemaal mee met die harmony setup
harmony_conf file bestaat

dus dan heb ik die cards..
maar moet ik die remote nog aanmaken?

Ik heb dat gedaan maar systeem wou niet goed opstarten, dus dan maar teruggedraaid

dit stond er onder packages in een yaml file
Code:
remote:
  - platform: harmony
    name: Harmony Hub
    activity: Film kijken
ik doe iets verkeerd i know
of ik moet switches gebruiken
 
Laatst bewerkt:

Philip

Well-Known Member
Home-Theater Goud
18 nov 2014
863
34
45
Kortrijk
Ik snap niet goed waarom je een slider card voor je Harmony wilde proberen, maar goed... 😜 .

De Harmony integratie zelf doet helemaal niks voor jou he, je moet allers erond zelf opbouwen adhv automatisaties.

Bv maak een input_select met lijst van je activiteiten en een automatisation die triggered als de input_select veranderd en dan als action je activity start. Lovelace card maken met je input_select als entity en klaar.

Zijn zo genoeg voorbeelden te vinden, ook complexere setups.



Dat gezegd zijnde, sinds kort is er ook deze mooie lovelace card: https://github.com/sbryfcz/harmony-card :D
 

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
ja die had ik ook al gezien, maar vind hem niet zo mooi
ik ben er nog niet uit met die remote..

dat van die input select en dan automatisatie snap ik wel, maar zo wil ik het niet :p
ik wil een kleine slider die de activiteit start

en dan 3 losse sliders, ipv input select met daarin 3 mogelijkheden
 

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
yaml file in mn package, dat moet toch werken?

Code:
switch:
  - platform: template
    switches:
      film_kijken:
        value_template: "{{ is_state('sensor.film_kijken', 'on') }}"
        turn_on:
          service: remote.turn_on
          data:
            entity_id: remote.living
            activity: 'Film kijken'
        turn_off:
          service: remote.turn_on
          data:
            entity_id: remote.living
            activity: 'PowerOff'
remote:
  - platform: harmony
    name: living
 

Skank

Well-Known Member
Home-Theater Goud
19 feb 2013
15.525
113
78
Earth
philip?
ik heb die remote lijn toegevoegd, en kwam nog online.
Gezocht naar entiteit remote.living, niet gevonden

ik voeg switch lijnen toe, hij zegt config valid, reboot en noppes entiteiten

misschien loop ik te klooien omdat ik "discovery: " niet meer in mn config heb?
 
Laatst bewerkt: